package com.red.circle.console.app.service.app.sys;


import com.red.circle.other.inner.model.cmd.user.RegionAssistConfigQryCmd;
import com.red.circle.other.inner.model.cmd.user.SysRegionAssistCmd;
import com.red.circle.other.inner.model.dto.user.reigon.SysRegionAssistConfigDTO;
import java.util.List;

/**
 * 区域辅助数据.
 *
 * @author pengshigang on 2023/03/14
 */
public interface SysRegionAssistConfigBackService {

  void add(SysRegionAssistCmd config);

  void update(SysRegionAssistCmd config);

  void deleteById(String id, Long updateUser);

  List<SysRegionAssistConfigDTO> listByCondition(RegionAssistConfigQryCmd query);

}
